#!/bin/bash

source ../../../skripte-bash/einstellungen.sh

################################################################################
# SWE-Spezifische Parameter	(berprfen und anpassen)                          #
################################################################################

format="V2004"
pfad="/vd/datenverteiler/Pruefung/dua.bastband/skripte-bash/ergebnis/"
ueberschreiben="false"
konfbereiche="kb.duaTestLZZ.SWE4.6"
zeitspanne="04.2004:04.2004"
gui="false"

################################################################################
# Folgende Parameter mssen berprft und evtl. angepasst werden               #
################################################################################

# Parameter fr den Java-Interpreter, als Standard werden die Einstellungen aus # einstellungen.sh verwendet.
#jvmArgs="-Dfile.encoding=ISO-8859-1"

# Parameter fr den Datenverteiler, als Standard werden die Einstellungen aus # einstellungen.sh verwendet.
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=.."

jconPort="10410"

if [ "$testlauf" ]; then
	jvmArgs=$jvmArgs" -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port="$jconPort" -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false"
fi

################################################################################
# Ab hier muss nichts mehr angepasst werden                                    #
################################################################################

# Applikation starten
java $jvmArgs -jar ../de.bsvrz.dua.bastband-runtime.jar \
	$dav1 \
	-guiBAStBand=$gui \
  -zeitBereich=$zeitspanne \
  -KonfigurationsBereichsPid=$konfbereiche \
  -ausgabeGeraet=$pfad \
  -bastformat=$format \
  -ueberschreiben=$ueberschreiben \
	-debugLevelFileText=all \
	-debugLevelStdErrText=:error \
	-debugSetLoggerAndLevel=:none \
	-debugSetLoggerAndLevel=de.bsvrz.iav:config \
	&
